org.apache.ignite.internal.processors.odbc.jdbc

## Interface JdbcRawBinarylizable

All Known Implementing Classes:
  JdbcColumnMeta, JdbcQueryCloseRequest, JdbcQueryExecuteRequest, JdbcQueryExecuteResult, JdbcQueryFetchRequest, JdbcQueryFetchResult, JdbcQueryMetadataRequest, JdbcQueryMetadataResult, JdbcRequest, JdbcResponse, JdbcResult

    public interface JdbcRawBinarylizable

Interface that allows to implement custom serialization logic to raw binary streams.

### Method Summary

Methods
`void` `readBinary(BinaryReaderExImpl reader)` Reads fields from provided reader.
`void` `writeBinary(BinaryWriterExImpl writer)` Writes fields to provided writer.

### Method Detail

#### writeBinary

    void writeBinary(BinaryWriterExImpl writer)
                     throws BinaryObjectException

Writes fields to provided writer.

Parameters:
  `writer` - Binary object writer.
Throws:
  `BinaryObjectException` - In case of error.

#### readBinary

    void readBinary(BinaryReaderExImpl reader)
                    throws BinaryObjectException

Reads fields from provided reader.

Parameters:
  `reader` - Binary object reader.
Throws:
  `BinaryObjectException` - In case of error.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017